Change Channel Type

Change a Transcode/ABR live channel to Transmux. One-way.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Change a Transcode/ABR live channel to Transmux. This is one-way: you cannot switch transmux back to transcode.

POST /v2/channel/{id}/change-type

Request body fields:

FieldAllowed valueDescription
fromtranscodeCurrent channel type. Any other value is rejected.
totransmuxTarget channel type.

Do not use this on HLS ingest, VOD Rebroadcast channels, or a channel that is already transmux.

If from is not transcode, the API returns 400 with error / detail explaining that from can only be transcode.

Path Params
string
required

Channel id (uuid from create or list).

Body Params
string
enum
required

Current type. Only transcode is accepted.

Allowed:
string
enum
required

Target type. Only transmux is accepted.

Allowed:
Response
204

Channel type changed. Empty body.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!